#!/bin/sh
# ----------------------------------------------------------------------------
# /var/install/config.d/autohalt - AUTOHALT configuration
#
# Creation   : 2009-01-03 christian
# Last update: $Id: autohalt.sh 18 2009-01-15 15:05:04Z root $
#
# Copyright (c) 2009 the Christian Richter, <richterch(at)gmx(dot)de>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# ----------------------------------------------------------------------------

#exec 2> `pwd`/autohalt-trace$$.log
#set -x

# ----------------------------------------------------------------------------
# Config Dateien
# ----------------------------------------------------------------------------

# include eislib
. /var/install/include/eislib

# include config
config_file=/etc/config.d/autohalt
. ${config_file}

# set packageName name
packageName=autohalt


systemlog_path=/var/log
start_path=/etc/init.d
generate_logrotate=/etc/logrotate.d/${packageName}




#-----------------------------------------------------------------------------
# create logrotate file
#-----------------------------------------------------------------------------
create_logrotate ()
{
    mecho "creating logrotate configuration file ..."

    {
        echo "#-----------------------------------------------------------------------------"
        echo "# logrotate file generated by $packageName.sh"
        echo "#"
        echo "# Do not edit this file."
        echo "# Creation date: `date`"
        echo "#-----------------------------------------------------------------------------"
        echo

        if [ "${START_AUTOHALT}" == "yes" ]
        then
            echo "$systemlog_path/$packageName.log {"
            echo "    rotate $AUTOHALT_LOG_COUNT"
            echo "    $AUTOHALT_LOG_INTERVAL"
            echo "    compress"
            echo "    notifempty"
            echo "    postrotate"
            echo "       sh $start_path/$packageName restart"
            echo "    endscript"
            echo "    }"
        else
            echo "# ${packageName} disabled!"
        fi
    } >$generate_logrotate
}

# ----------------------------------------------------------------------------
# Main
# ----------------------------------------------------------------------------
# setting defaults
if [ "${AUTOHALT_CHECK_IP}" == "yes" ]
then
    /var/install/bin/check-package -p fping "AUTOHALT_CHECK_IP"
    retvar="${?}"
    if [ "${retvar}" -eq 0 ]
    then
        mecho -info "Ok, lets go"
    else
        mecho -warn "Package fping not installed, you can not check ip-adresses"
        echo
        # set parameter from 'yes' to 'no'
        sed "s/^AUTOHALT_CHECK_IP=.*/AUTOHALT_CHECK_IP='no'/" ${config_file} >/tmp/CONFIG_FILE_TMP
        mv /tmp/CONFIG_FILE_TMP ${config_file}
        chmod 0600 ${config_file}
        #exit 0
    fi
fi

if [ "${AUTOHALT_LOG}" == "yes" ]
then
    create_logrotate
else
    if [ -f "${generate_logrotate}" ]
    then
        rm -f ${generate_logrotate}
    fi
fi
#sh /etc/init.d/autohalt restart
exit 0
# ----------------------------------------------------------------------------
# End
# ----------------------------------------------------------------------------